import { Method } from 'axios';
export interface Authentication {
    key: string;
    secret: string;
}
export declare const generateSignature: (path: string, secret: string, timestamp: number, method: Method, hash: string) => string;
export declare const generateContentHash: (content?: any) => string;
export declare enum HttpMethod {
    GET = "GET",
    POST = "POST",
    PUT = "PUT",
    DELETE = "DELETE",
    PATCH = "PATCH",
    HEAD = "HEAD",
    TRACE = "TRACE",
    OPTIONS = "OPTIONS",
    CONNECT = "CONNECT"
}
export declare const publicRequest: <T>(path: string, params?: any) => Promise<T>;
export declare const privateRequest: <T>(path: string, auth: Authentication, params?: any, method?: Method) => Promise<T>;
